polybori::groebner::ReductionOptions Class Reference

This class defines option values for the ReductionStrategy. More...

`#include <ReductionOptions.h>`

Inheritance diagram for polybori::groebner::ReductionOptions:

## Public Member Functions

| ReductionOptions ()

## Public Attributes

bool | optBrutalReductions
bool | optLL
bool | optRedTailDegGrowth
bool | optRedTail
idx_type | reducibleUntil

## Detailed Description

This class defines option values for the ReductionStrategy.

## Constructor & Destructor Documentation

polybori::groebner::ReductionOptions::ReductionOptions | ( | ) |  |

inline

## Member Data Documentation

bool polybori::groebner::ReductionOptions::optBrutalReductions

Referenced by polybori::groebner::nf3(), polybori::groebner::nf3_degree_order(), polybori::groebner::nf3_lexbuckets(), and polybori::groebner::nf3_no_deg_growth().

bool polybori::groebner::ReductionOptions::optLL

Referenced by polybori::groebner::cheap_reductions().

bool polybori::groebner::ReductionOptions::optRedTail

Referenced by polybori::groebner::GroebnerStrategy::addAsYouWish().

bool polybori::groebner::ReductionOptions::optRedTailDegGrowth

Referenced by polybori::groebner::LexHelper::irreducible_lead(), polybori::groebner::GroebnerStrategy::minimalizeAndTailReduce(), and polybori::groebner::LexHelper::nf().

idx_type polybori::groebner::ReductionOptions::reducibleUntil

Referenced by polybori::groebner::LexHelper::knowRestIsIrreducible().

The documentation for this class was generated from the following file:

- ReductionOptions.h